#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static library
%bcond_without	tests		# tests (with umockdev)
#
Summary:	GObject bindings for libudev
Summary(pl.UTF-8):	Wiązania GObject do libudev
Name:		libgudev
Version:	238
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libgudev/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	46da30a1c69101c3a13fa660d9ab7b73
Patch0:		%{name}-gtkdoc.patch
URL:		https://wiki.gnome.org/Projects/libgudev
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gobject-introspection-devel >= 1.31.1
BuildRequires:	gtk-doc >= 1.18
BuildRequires:	meson >= 0.53.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel >= 1:199
%{?with_tests:BuildRequires:	umockdev-devel}
BuildRequires:	vala >= 2:0.38.0
BuildRequires:	xz
Requires:	glib2 >= 1:2.38
Requires:	udev-libs >= 1:199
Provides:	udev-glib = 1:%{version}-%{release}
Obsoletes:	udev-glib < 1:230
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libgudev library provides GObject bindings for libudev.

%description -l pl.UTF-8
Biblioteka libgudev dostarcza wiązania GObject do biblioteki libudev.

%package devel
Summary:	Header files for libgudev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgudev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38
Requires:	udev-devel >= 1:199
Provides:	udev-glib-devel = 1:%{version}-%{release}
Obsoletes:	udev-glib-devel < 1:230

%description devel
Header files for libgudev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgudev.

%package static
Summary:	Static libgudev library
Summary(pl.UTF-8):	Statyczna biblioteka libgudev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	udev-glib-static = 1:%{version}-%{release}
Obsoletes:	udev-glib-static < 1:230

%description static
Static libgudev library.

%description static -l pl.UTF-8
Statyczna biblioteka libgudev.

%package -n vala-libgudev
Summary:	Vala API for libgudev library
Summary(pl.UTF-8):	API języka Vala do biblioteki libgudev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.38.0

%description -n vala-libgudev
Vala API for libgudev library.

%description -n vala-libgudev -l pl.UTF-8
API języka Vala do biblioteki libgudev.

%package apidocs
Summary:	libgudev API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgudev
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	udev-glib-apidocs < 1:230
BuildArch:	noarch

%description apidocs
API documentation for libgudev library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgudev.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true} \
	%{!?with_tests:-Dtests=disabled}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_libdir}/libgudev-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgudev-1.0.so.0
%{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgudev-1.0.so
%{_includedir}/gudev-1.0
%{_datadir}/gir-1.0/GUdev-1.0.gir
%{_pkgconfigdir}/gudev-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgudev-1.0.a
%endif

%files -n vala-libgudev
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gudev-1.0.deps
%{_datadir}/vala/vapi/gudev-1.0.vapi

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gudev
%endif
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgudev.git;a=log;h=master

* Thu Jul 06 2023 Jakub Bogusz <qboosh@pld-linux.org> b5c8fa2
- updated to 238

* Thu Aug 19 2021 Jakub Bogusz <qboosh@pld-linux.org> bebb22a
- updated to 237

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> 8fe9ac7
- fix build without tests

* Tue Mar 16 2021 Jakub Bogusz <qboosh@pld-linux.org> c390305
- updated to 236, now uses meson
- added gtkdoc patch (adjust gtk-doc dir)
- package vala API

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> e2c58eb
- unconditional noarch subpackages

* Tue Sep 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 0d27e01
- updated to 234

* Tue Aug 06 2019 Jakub Bogusz <qboosh@pld-linux.org> f58f519
- updated to 233

* Sun Oct 01 2017 Jan Rękorajski <baggins@pld-linux.org> a282dec
- up to 232

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 397c081
- updated to 231
- added tests patch (fixes test bug causing segfault in umockdev)

* Sat Jun 27 2015 Jakub Bogusz <qboosh@pld-linux.org> c308d91
- ac/am/lt BRs

* Sat Jun 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 9e293e5
- new, will replace udev-glib* from systemd

